### Class

# Foundry VcsBranch

#### Description

    abstract class Foundry.VcsBranch : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Descendants

- FoundryGitBranch

#### Instance methods

###### foundry_vcs_branch_dup_id

No description available.

###### foundry_vcs_branch_dup_title

No description available.

###### foundry_vcs_branch_is_local

No description available.

###### foundry_vcs_branch_load_target

Get the target reference the branch currently points at.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.VcsBranch:id

No description available.

###### Foundry.VcsBranch:is-local

No description available.

###### Foundry.VcsBranch:title

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryVcsBranchClass {
      GObjectClass parent_class;
      char* (* dup_id) (
        FoundryVcsBranch* self
      );
      char* (* dup_title) (
        FoundryVcsBranch* self
      );
      gboolean (* is_local) (
        FoundryVcsBranch* self
      );
      DexFuture* (* load_target) (
        FoundryVcsBranch* self
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`dup_id: char* (* dup_id) ( FoundryVcsBranch* self )`

  No description available.

`dup_title: char* (* dup_title) ( FoundryVcsBranch* self )`

  No description available.

`is_local: gboolean (* is_local) ( FoundryVcsBranch* self )`

  No description available.

`load_target: DexFuture* (* load_target) ( FoundryVcsBranch* self )`

  No description available.

#### Virtual methods

###### Foundry.VcsBranchClass.dup_id

No description available.

###### Foundry.VcsBranchClass.dup_title

No description available.

###### Foundry.VcsBranchClass.is_local

No description available.

###### Foundry.VcsBranchClass.load_target

Get the target reference the branch currently points at.